// TeXworksScript
// Title:  Get Short Name
// Description: For Windows obtains and inserts an 8.3 form of file path
// Author:  Paul Norman
// Version: 0.1
// Date: 2011-04-17
// Script-Type: standalone
// Context: TeXDocument
// Shortcut: Alt+G, Alt+S



//  eval(TW.app.getGlobal("helper_twPan")); //  Comment if NOT Needed - This includes PhpJs ($P), twConst, msgBox, twPan ($tw), string.toTitleCase() 

/*

For cscript.exe --

 //U         Use Unicode for redirected I/O from the console -- but here truncates at the first colon in a path - can't use

//Nologo    Prevent logo display: No banner will be shown at execution time
    
*/  

   var fileNameToProcess = TW.app.getOpenFileName("Image Files (*.jpg *.jpeg *.png *.pdf)");
   
   if (fileNameToProcess !== false)
    {
      
  var scriptPath  = __FILE__.substr(0,__FILE__.lastIndexOf("/")+1);
  var systemShortName = scriptPath + "systemShortName.js";   
      
   
      
      var retVal = TW.system("cmd /c cscript //Nologo  \""+  systemShortName +"\" \"" + fileNameToProcess + "\"", true);
      
      if (retVal.status == 0 ) // ok
        {
         
         TW.target.insertText(retVal.output);
         //   TW.app.clipboard = retVal.output;
         
         }
       else
         {TW.information(null, "Tw Information",  retVal.message);
         }
               
     }
   null;

    
     